CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FitsFatal Class Reference
FITS Exceptions

[potential] base class for exceptions to be thrown on internal library error. More...

`#include <FitsError.h>`

List of all members.

## Public Member Functions

| FitsFatal (const string &diag)
| Prints a message starting "*** CCfits Fatal Error: ..." and calls terminate()

## Detailed Description

[potential] base class for exceptions to be thrown on internal library error.

As of this version there are no subclasses. This error requests that the user reports this circumstance to HEASARC.

## Constructor & Destructor Documentation

CCfits::FitsFatal::FitsFatal | ( | const string & | diag | ) |

Prints a message starting "*** CCfits Fatal Error: ..." and calls terminate()

Parameters:

  diag | A diagnostic string to be printed identifying the context of the error.

The documentation for this class was generated from the following files:

- FitsError.h
- FitsError.cxx